﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using HLWebOKBQueryPlugin.OKBQueryService;
using HLWebOKBQueryPlugin.Helpers;

namespace HLWebOKBQueryPlugin.Models
{
    /// <summary>
    /// Model for Filter Data.
    /// Current Filters (selected),
    /// and available Filters. 
    /// </summary>
    public class FilterModel
    {
        private  List<bool> boolStates;

        private List<Filter> _filters;

        //public KeyValuePair<int,Filter> ParentFilter { get; set; }
        public List<Filter> Filters
        {

            get
            {
                QueryServiceClient client = Query.GetClientFactory("okbtester", "okbtester");
                return client.GetFilters().ToList<Filter>(); /// => won't work
            }
        

        }
        //public Dictionary<int,Filter> SelectedFilters { get; set; }
        // use an unique id for reach filter "Control"
        public CombinedFilter Content { get; set; }


        public FilterModel()
        {

        }

        public FilterModel(CombinedFilter filter)
        {
            Content = filter;
            //filter.i
        }


        public List<Boolean> GetBoolStates()
        {
            if (boolStates == null)
            {
                boolStates = new List<Boolean>();
                boolStates.Add(true);
                boolStates.Add(false);
            }
            return boolStates;
        }

    }
}